rep - lisp command interpreter

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: rep
Package version: 0.90.2
Package release: 1.4
Package architecture: amd64
Package type: deb
Installed size: 55 B
Download size: 10.16 KB
Official Mirror:
rep is a dialect of Lisp, designed to be used both as an extension language for applications and as a general purpose programming language. It was originally written to be mostly-compatible with Emacs Lisp, but has subsequently diverged markedly. Its aim is to combine the best features of Scheme and Common Lisp and provide an environment that is comfortable for implementing both small and large scale systems. It tries to be a "pragmatic" programming language.



  • librep9 <= 0.17.3-3


  • librep9 <= 0.17.3-3


    Binary package: rep_0.90.2-1.4_amd64.deb
    Source package: librep

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install rep deb package:
      # sudo apt-get install rep


    • /usr/bin/rep
    • /usr/bin/rep-remote
    • /usr/share/doc/rep
    • /usr/share/man/man1/rep-remote.1.gz
    • /usr/share/man/man1/rep.1.gz


    2013-05-30 - gregor herrmann <> librep (0.90.2-1.4) unstable; urgency=low * Non-maintainer upload. * Fix "FTBFS on kfreebsd-amd64": apply patch from Steven Chamberlain: check for DEB_HOST_ARCH_CPU in debian/rules. (Closes: #709183)

    2011-07-12 - Hector Oron <> librep (0.90.2-1.3) unstable; urgency=low * Non-maintainer upload. * Add armhf support. Thanks Konstantinos Margaritis (Closes: #623388) * Emptying the dependency_libs field in .la files * Add lintian override for librep-dev: missing-dep-for-interpreter rep

    2011-03-17 - Steve M. Robbins <> librep (0.90.2-1.2) unstable; urgency=low * NMU. Change dependency libgmp3-dev --> libgmp-dev.

    2010-10-14 - Tim Retout <> librep (0.90.2-1.1) unstable; urgency=low * Non-maintainer upload. * debian/rules: Set CONFIG_SHELL and run ./configure using /bin/bash explicitly, so that the generated libtool will work with any /bin/sh. (Closes: #570719)

    2009-11-11 - Luis Rodrigo Gallardo Cruz <> librep (0.90.2-1) unstable; urgency=low * New Upstream Release. - Improved ffi-binding - Added support for tar.xz and tar.lzma, improved regex for parsing tar output. - Save/load readline history in interactive mode. - Other misc improvements and bugfixes. - Update symbols file - Update build-depends * Remove libreadline5-dev build dependency (Closes: #553801). * Add ${misc:Depends} to control entries. * Adjust packages' dependencies per lintian's recomendations * Bump Standards-Version to 3.8.3. No extra changes.

    2009-07-27 - Luis Rodrigo Gallardo Cruz <> librep (0.90.0-1) experimental; urgency=low * New Upstream Releases. - Updated build system. - UTF8 support. - Updated documentation. - Code cleanups. * Reintroduce the rep package, removed in 0.17-12 (Closes: #511016). As far as I could see, does not depend on having the rep binary installed. Any program emdbeding librep that DOES require the standalone interpreter must now depend explicitly on the rep package. * Add a -dbg package (Closes: #510933). * Remove use of brace expansion in debian/rules. This fixes building with dash as /bin/sh. * Minor typo: Copyright for packaging said it had the same terms as rep-gtk * Bump Standards-version to 3.8.2. No changes required.

    2009-07-25 - Luis Rodrigo Gallardo Cruz <> librep (0.17.3-4) unstable; urgency=low * Add --with-stack-direction flag to mips and mipsel builds (Closes: #526962)

    2009-04-30 - Luis Rodrigo Gallardo Cruz <> librep (0.17.3-3) unstable; urgency=low * Upload to unstable. * Fix stack direction in ia64 and alpha. * Clarify the description of each package. * Rewrite the copyright file.

    2009-04-12 - Luis Rodrigo Gallardo Cruz <> librep (0.17.3-2) experimental; urgency=low * Avoid hardcoded arch name in librep-dev.files (Closes: #523758). * Build with --with-stack-direction=1 for ppc/ia64 * Do not ship computed librep-dev.files

    2009-04-11 - Luis Rodrigo Gallardo Cruz <> librep (0.17.3-1) experimental; urgency=low * New Upstream Release. - Remove unused patches and adjust build - Update for upstream's new tarball names - Update paths of .jl files for new release. * New maintainer. Thanks Christian for all the years maintaining this. * Start using a symbols file * Miscelaneous fixes. * Remove unused lintian overrides, and actually install those we do use. * Fix hyphens-as-minus-signs in manpages * Keep dh_makeshlibs from looking at our private DSOs. * Move some files to the -dev package * Comply with Standards-Version: 3.8.1 * Add Vcs: fields to debian/control